# keystoneauth1.exceptions.auth_plugins module

exception keystoneauth1.exceptions.auth_plugins.AuthPluginException(message: str | None = None)

  Bases: `ClientException`

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = None
  __firstlineno__ = 31
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ()
  message = 'Unknown error with authentication plugins.'

exception keystoneauth1.exceptions.auth_plugins.MissingAuthPlugin(message: str | None = None)

  Bases: `AuthPluginException`

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = None
  __firstlineno__ = 35
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ()
  message = 'An authenticated request is required but no plugin available.'

exception keystoneauth1.exceptions.auth_plugins.MissingRequiredOptions(options: Sequence[loading.Opt])

  Bases: `OptionError`

  One or more required options were not provided.

  Parameters:

    options (list(keystoneauth1.loading.Opt)) – Missing options.

  options

    List of the missing options.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'One or more required options were not provided.\n\n:param list(keystoneauth1.loading.Opt) options: Missing options.\n\n.. py:attribute:: options\n\n List of the missing options.\n'
  __firstlineno__ = 85
  __init__(options: Sequence[loading.Opt])
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ('options',)

exception keystoneauth1.exceptions.auth_plugins.NoMatchingPlugin(name: str)

  Bases: `AuthPluginException`

  No auth plugins could be created from the parameters provided.

  Parameters:

    name (str) – The name of the plugin that was attempted to load.

  name

    The name of the plugin that was attempted to load.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'No auth plugins could be created from the parameters provided.\n\n:param str name: The name of the plugin that was attempted to load.\n\n.. py:attribute:: name\n\n The name of the plugin that was attempted to load.\n'
  __firstlineno__ = 39
  __init__(name: str)
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ('name',)

exception keystoneauth1.exceptions.auth_plugins.OptionError(message: str | None = None)

  Bases: `AuthPluginException`

  A requirement of this plugin loader was not met.

  This error can be raised by a specific plugin loader during the load_from_options stage to indicate a parameter problem that can not be handled by the generic options loader.

  The intention here is that a plugin can do checks like if a name parameter is provided then a domain parameter must also be provided, but that Opt checking doesn’t handle.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = "A requirement of this plugin loader was not met.\n\nThis error can be raised by a specific plugin loader during the\nload_from_options stage to indicate a parameter problem that can not be\nhandled by the generic options loader.\n\nThe intention here is that a plugin can do checks like if a name parameter\nis provided then a domain parameter must also be provided, but that Opt\nchecking doesn't handle.\n"
  __firstlineno__ = 72
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ()

exception keystoneauth1.exceptions.auth_plugins.UnsupportedParameters(names: Sequence[str])

  Bases: `AuthPluginException`

  A parameter that was provided or returned is not supported.

  Parameters:

    names (list(str)) – Names of the unsupported parameters.

  names

    Names of the unsupported parameters.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'A parameter that was provided or returned is not supported.\n\n:param list(str) names: Names of the unsupported parameters.\n\n.. py:attribute:: names\n\n Names of the unsupported parameters.\n'
  __firstlineno__ = 55
  __init__(names: Sequence[str])
  __module__ = 'keystoneauth1.exceptions.auth_plugins'
  __static_attributes__ = ('names',)

this page last updated: 2026-03-25 21:01:07

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug